<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="Customer_Rewards" class="tab_content">
	<h3>Noodlemans Customer Reward Plugin</h3>
	<p>Allow customers to earn loyalty points which can be used to discount future orders</h3></p>

	<fieldset><legend>License Information</legend>
		{$PLUGIN_LICENSE_KEY_HTML}
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
	</fieldset>
	
	<fieldset>
		<legend>Enable / Disable Plugin</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>
	
	{$GENERAL_TAB_SETTINGS}
	
	<div class="form_control">
		<input type="submit" name="save" value="{$LANG.common.save}" />
	</div>

	<br/>

	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{$PLUGIN_MESSAGES}
	</fieldset>

  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />	
	
  </div>
  
  
  <div id="install_guide" class="tab_content">
		<h3>Install Guide</h3>
		<p>This plugin does require some minor modifications to your store core files, the steps to comeplete are outlined below. Should you want this plugin installed for you an <a href="http://www.noodleman.co.uk/install-service-we-install-for-you.html">Install Service</a> is available.</p>
		<p>This install guide has been updated for version 6.0.10 of CubeCart, if you are installing in another version the line numbers referenced may be slightly different. If there is any doubt open a support ticket for assistance.</p>
		<p>Support is available from <A HREF="https://www.noodleman.co.uk/support">https://www.noodleman.co.uk/support</a></p>
		<p>If you update your store to a new version you will need to review the steps in this install guide as some of the changes you have made previously may need to be reapplied.</p>
		
		<ol>
			
		<li><b>Edit cubecart.class.php</b><p>Open the file &quot;classes/cubecart.class.php&quot; with your favourite text editor. 
		<br/>AROUND LINE NUMBER 642 FIND:
		
<textarea style="width:100%; height:100px;">
if (isset($_POST['update'])) {
	$GLOBALS['cart']->update();
	if (isset($_POST['coupon']) && !empty($_POST['coupon'])) {
		$GLOBALS['cart']->discountAdd($_POST['coupon']);
	}
</textarea>
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:75px;">
// Start Customer Rewards Change
foreach ($GLOBALS['hooks']->load('class.cubecart.rewards') as $hook) include $hook;
// End Customer Rewards Change
</textarea>
		</li>		

		<br/><br/>

		<li><b>Edit cart.class.php</b><p>Open the file &quot;classes/cart.class.php&quot; with your favourite text editor.
		<br/>AROUND LINE NUMBER 576 FIND:
<textarea style="width:100%; height:100px;">
			$GLOBALS['gui']->setError($GLOBALS['language']->checkout['error_voucher_none']);
		}
	}
	return false;
}
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:100px;">
// Start Customer Rewards Change
public function discountusingPoints($code) {		
	foreach ($GLOBALS['hooks']->load('class.cart.discount_points') as $hook) include $hook;
}
// End Customer Rewards Change
</textarea>	
		</li>		

		
		
		
<br/><br/>
<li><b>Edit order.class.php</b><p>Open the file &quot;classes/order.class.php&quot; with your favourite text editor. 
		<br/>AROUND LINE NUMBER 638 FIND:
<textarea style="width:100%; height:85px;">
$this->_basket['order_status']	= constant('ORDER_PENDING');
foreach ($GLOBALS['hooks']->load('class.order.place_order.basket') as $hook) include $hook;
// Insert/Update the order summary
$this->_orderSummary($update, $force_order);
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:75px;">
// Start Customer Rewards Change
foreach ($GLOBALS['hooks']->load('class.order.place_order.postbasket') as $hook) include $hook;	
// End Customer Rewards Change
</textarea>			
		</li>		
		
<br/><br/>


		<li><b>Edit orders.index.inc.php</b><p>Open the file &quot;admin/sources/orders.index.inc.php&quot; with your favourite text editor.
		<br/>AROUND LINE NUMBER 170 FIND:
<textarea style="width:100%; height:45px;">
//$order_status = $order->orderStatus($_POST['order']['status'], $order_id, true);
$order_status = $order->orderStatus($_POST['order']['status'], $order_id);
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:75px;">
// Start Customer Rewards Change
foreach ($GLOBALS['hooks']->load('admin.order.index.post_process_discount') as $hook) include $hook;
// End Customer Rewards Change
</textarea>	
		</li>


		
		
		<br/><br/>
		<li><b>Edit content.product.php</b><p>Open the file &quot;skins/<i>YOURSKINFOLDER</i>/templates/content.product.php&quot; with your favourite text editor. 
		<br/><u><i>Note this next step was completed using the foundation skin, you may need to adjust the code depending on your skin design. Use this as an example if you are unsure or contact support for assistance.</i></u>
		<br/>AROUND LINE NUMBER 152 FIND:
<textarea style="width:100%; height:70px;">
{literal}{$PRODUCT.description}{/literal}
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:55px;">
{literal}<p><strong>Earn Reward Points:</strong> {$REWARDPOINTS}</p>
<p><strong>Earn Discount:</strong> {$REWARDPOINTSVALUE}</p>{/literal}
</textarea>			
		</li>		
		
		
		
		
		
		<br/><br/>
		<li><b>Edit content.checkout.php</b><p>Open the file &quot;skins/<i>YOURSKINFOLDER</i>/templates/content.checkout.php&quot; with your favourite text editor. 
		<br/><u><i>Note this next step was completed using the foundation skin, you may need to adjust the placement depending on your skin design. Use this as an example if you are unsure or contact support for assistance. This step auto adds a pre-formatted drop down list of options for the customer to select, the style of the list may not be suitable for all skins. If you find this list doesn't work well for you it is possible to build a manual list. An example of manually creating the list is found below.</i></u>
		<br/>AROUND LINE NUMBER 65 FIND:
<textarea style="width:100%; height:150;">{literal}
<div class="row">
	 <div class="small-8 columns text-right">
		{$LANG.basket.coupon_add}
	 </div>
	 <div class="small-4 columns">
		<input name="coupon" id="coupon" type="text" maxlength="25">
	 </div>
</div>{/literal}
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:70px;">
{literal}{if $IS_USER} 
	{$CUSTOMER_REWARD_OPTIONS}
{/if}{/literal}
</textarea>			
		</li>			
		

		<br/><u><i>If you would rather manually build your own menu you can use the following HTML code in your template instead. The code below shows a working example in foundation skin.</i></u>
		<br/>AROUND LINE NUMBER 65 FIND:
<textarea style="width:100%; height:150px;">{literal}
<div class="row">
	 <div class="small-8 columns text-right">
		{$LANG.basket.coupon_add}
	 </div>
	 <div class="small-4 columns">
		<input name="coupon" id="coupon" type="text" maxlength="25">
	 </div>
</div>{/literal}
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:375px;">
{literal}
	{if $IS_USER} 
		{if isset($CUSTOMER_REWARD_MANUAL_OPTIONS) && is_array($CUSTOMER_REWARD_MANUAL_OPTIONS)}

		   <div class="row">
				 <div class="small-8 columns text-right">
					{$LANG.customer_rewards.discount_order_using_points}
				 </div>
				 <div class="small-4 columns">
					<select id="rewardPoints" name="rewardPoints">
						<option value="0">{$LANG.customer_rewards.select_discount_to_apply}</option>
						{foreach from=$CUSTOMER_REWARD_MANUAL_OPTIONS item=reward}
							<option value="{$reward.value}" {if $reward.selected == 1}selected="yes"{/if}>{$reward.save}</option>
						{/foreach}						
					</select>
				 </div>
			</div>		
		{/if}		
	{/if}	
{/literal}
</textarea>			
		</li>			










		
		
		
		
		
		<br/><br/>
		<li><b>Edit content.category.php</b><p>Open the file &quot;skins/<i>YOURSKINFOLDER</i>/templates/content.category.php&quot; with your favourite text editor. 
		<br/><u><i>Note this next step was completed using the foundation skin, you may need to adjust the placement depending on your skin design. Use this as an example if you are unsure or contact support for assistance if needed. This step allows the text that appears when hovering over a thumbnail in the category list view to be modified. NOTE that there are two places to make this change within the foundation skin.</i></u>
		<br/>AROUND LINE NUMBER 78 FIND:
<textarea style="width:100%; height:75px;">{literal}
<a href="{$product.url}" class="th" title="{$product.name}">
<img src="{$product.thumbnail}" alt="{$product.name}">
</a>
{/literal}
</textarea>	
REPLACE WITH:
<textarea style="width:100%; height:75px;">{literal}
<a href="{$product.url}" class="th" title="{if isset($product.points_name)}{$product.points_name}{else}{$product.name}{/if}">
<img src="{$product.thumbnail}" alt="{$product.name}">
</a>
{/literal}
</textarea>			

		<br/>AROUND LINE NUMBER 137 FIND:
<textarea style="width:100%; height:75;">{literal}
<a href="{$product.url}" title="{$product.name}"><img class="th" src="{$product.thumbnail}" alt="{$product.name}"></a>
{/literal}
</textarea>	
REPLACE WITH:
<textarea style="width:100%; height:75px;">{literal}
<a href="{$product.url}" title="{if isset($product.points_name)}{$product.points_name}{else}{$product.name}{/if}"><img class="th" src="{$product.thumbnail}" alt="{$product.name}"></a>
{/literal}
</textarea>


		<br/>AROUND LINE NUMBER 13 FIND:
<textarea style="width:100%; height:75;">{literal}
<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data" class="autosubmit" id="checkout_form">
{/literal}
</textarea>	
REPLACE WITH:
<textarea style="width:100%; height:75px;">{literal}
<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data" id="checkout_form">
{/literal}
</textarea>



		</li>			
		
		
		
		<li><b>Enable the plugin</b><p>Enable the &quot;Customer Rewards&quot; plugin and press the &quot;SAVE&quot; button.</p></li>		
		
		<li><b>Configure the plugin</b><p>Configure the settings as you require. </p></li>		
		
			
		</ol>
		
		
  </div>
  
  {$MODULE_ZONES}
</form>






